%{?mingw_package_header}

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-gtkmm30
Version:        3.24.10
Release:        %mkrel 1
Summary:        MinGW Windows C++ interface for the GTK+ library

License:        LGPLv2+
Group:          Development/Other
URL:            https://www.gtkmm.org/
Source0:        https://download.gnome.org/sources/gtkmm/%{release_version}/gtkmm-%{version}.tar.xz

BuildArch:      noarch

# For glib-compile-resources
BuildRequires:  glib2-devel
# For gdk-pixbuf-pixdata
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  meson

BuildRequires:  mingw32-atkmm
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-cairomm
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-glibmm24
BuildRequires:  mingw32-gtk3
BuildRequires:  mingw32-pangomm

BuildRequires:  mingw64-atkmm
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-cairomm
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-glibmm24
BuildRequires:  mingw64-gtk3
BuildRequires:  mingw64-pangomm

%description
gtkmm is the official C++ interface for the popular GUI library GTK+.
Highlights include type safe callbacks, and a comprehensive set of
widgets that are easily extensible via inheritance.

This package contains the MinGW Windows cross compiled gtkmm library,
API version 3.0.


%package -n mingw32-gtkmm30
Summary:        MinGW Windows C++ interface for the GTK+ library

%description -n mingw32-gtkmm30
gtkmm is the official C++ interface for the popular GUI library GTK+.
Highlights include type safe callbacks, and a comprehensive set of
widgets that are easily extensible via inheritance.

This package contains the MinGW Windows cross compiled gtkmm library,
API version 3.0.


%package -n mingw64-gtkmm30
Summary:        MinGW Windows C++ interface for the GTK+ library

%description -n mingw64-gtkmm30
gtkmm is the official C++ interface for the popular GUI library GTK+.
Highlights include type safe callbacks, and a comprehensive set of
widgets that are easily extensible via inheritance.

This package contains the MinGW Windows cross compiled gtkmm library,
API version 3.0.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n gtkmm-%{version}

%build
%mingw_meson -Dbuild-demos=false -Dbuild-tests=false
%mingw_ninja


%install
%mingw_ninja_install


%files -n mingw32-gtkmm30
%license COPYING
%{mingw32_bindir}/libgdkmm-3.0-1.dll
%{mingw32_bindir}/libgtkmm-3.0-1.dll
%{mingw32_libdir}/libgdkmm-3.0.dll.a
%{mingw32_libdir}/libgtkmm-3.0.dll.a
%{mingw32_includedir}/gdkmm-3.0/
%{mingw32_includedir}/gtkmm-3.0/
%{mingw32_libdir}/gdkmm-3.0/
%{mingw32_libdir}/gtkmm-3.0/
%{mingw32_libdir}/pkgconfig/gdkmm-3.0.pc
%{mingw32_libdir}/pkgconfig/gtkmm-3.0.pc

%files -n mingw64-gtkmm30
%license COPYING
%{mingw64_bindir}/libgdkmm-3.0-1.dll
%{mingw64_bindir}/libgtkmm-3.0-1.dll
%{mingw64_libdir}/libgdkmm-3.0.dll.a
%{mingw64_libdir}/libgtkmm-3.0.dll.a
%{mingw64_includedir}/gdkmm-3.0/
%{mingw64_includedir}/gtkmm-3.0/
%{mingw64_libdir}/gdkmm-3.0/
%{mingw64_libdir}/gtkmm-3.0/
%{mingw64_libdir}/pkgconfig/gdkmm-3.0.pc
%{mingw64_libdir}/pkgconfig/gtkmm-3.0.pc




%changelog
* Thu Mar 27 2025 daviddavid <daviddavid> 3.24.10-1.mga10
+ Revision: 2170267
- new version: 3.24.10

* Mon May 06 2024 daviddavid <daviddavid> 3.24.9-1.mga10
+ Revision: 2062436
- new version: 3.24.9

* Wed Sep 27 2023 tv <tv> 3.24.8-1.mga10
+ Revision: 1991597
- Update to 3.24.8

* Mon Sep 26 2022 tv <tv> 3.24.7-1.mga9
+ Revision: 1892372
- Update to 3.24.7

* Tue Aug 02 2022 tv <tv> 3.24.6-1.mga9
+ Revision: 1874481
- Update to 3.24.6

* Sat Mar 26 2022 umeabot <umeabot> 3.24.5-2.mga9
+ Revision: 1828400
- Mageia 9 Mass Rebuild

* Fri May 21 2021 ovitters <ovitters> 3.24.5-1.mga9
+ Revision: 1726041
- new version 3.24.5

* Tue Feb 23 2021 ovitters <ovitters> 3.24.4-1.mga9
+ Revision: 1675685
- new version 3.24.4

* Tue Dec 22 2020 daviddavid <daviddavid> 3.24.3-1.mga8
+ Revision: 1662810
- switch to meson build system
+ ovitters <ovitters>
- new version 3.24.3

* Sat Sep 26 2020 tv <tv> 3.24.2-3.mga8
+ Revision: 1630557
- rebuild for new mingw stack

* Mon Feb 17 2020 umeabot <umeabot> 3.24.2-2.mga8
+ Revision: 1537103
- Mageia 8 Mass Rebuild

* Thu Oct 24 2019 ovitters <ovitters> 3.24.2-1.mga8
+ Revision: 1455652
- new version 3.24.2

* Fri Aug 30 2019 daviddavid <daviddavid> 3.24.1-1.mga8
+ Revision: 1435364
- new version: 3.24.1

* Wed Sep 19 2018 umeabot <umeabot> 3.20.1-2.mga7
+ Revision: 1264292
- Mageia 7 Mass Rebuild

* Thu Apr 14 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1001443
- new version 3.20.1

* Wed Apr 06 2016 tv <tv> 3.20.0-1.mga6
+ Revision: 998940
- new release
- rebuild with new gcc
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.8.1-5.mga5
+ Revision: 741691
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.8.1-4.mga5
+ Revision: 682455
- Mageia 5 Mass Rebuild

* Mon Oct 28 2013 neoclust <neoclust> 3.8.1-3.mga4
+ Revision: 547645
- imported package mingw-gtkmm30


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.8.1-2
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Mon May  6 2013 Thomas Sailer <t.sailer@alumni.ethz.ch> - 3.8.1-1
- update to 3.8.1

* Mon Apr  1 2013 Thomas Sailer <t.sailer@alumni.ethz.ch> - 3.7.12-1
- update to 3.7.12

* Sun Mar  3 2013 Thomas Sailer <t.sailer@alumni.ethz.ch> - 3.7.10-1
- Update to 3.7.10

* Sun Jan 27 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.6.0-2
- Rebuild against mingw-gcc 4.8 (win64 uses SEH exceptions now)

* Thu Nov 29 2012 Kalev Lember <kalevlember@gmail.com> - 3.6.0-1
- Update to 3.6.0

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 14 2012 Kalev Lember <kalevlember@gmail.com> - 3.4.0-1
- Update to 3.4.0

* Fri Mar 16 2012 Kalev Lember <kalevlember@gmail.com> - 3.2.0-5
- Build 64 bit Windows binaries

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.2.0-4
- Rebuild against the mingw-w64 toolchain

* Tue Jan 31 2012 Kalev Lember <kalevlember@gmail.com> - 3.2.0-3
- Rebuilt for libpng 1.5
- Dropped the .la files

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 30 2011 Kalev Lember <kalevlember@gmail.com> - 3.2.0-1
- Update to 3.2.0
- Dropped upstreamed patch

* Thu Jul 07 2011 Kalev Lember <kalevlember@gmail.com> - 3.0.1-3
- Rebuilt against win-iconv

* Sun May 29 2011 Kalev Lember <kalev@smartlink.ee> - 3.0.1-2
- Renamed the base package to mingw-gtkmm30 as per updated guidelines
- Use the automatic dep extraction available in mingw32-filesystem 68

* Mon May 09 2011 Kalev Lember <kalev@smartlink.ee> - 3.0.1-1
- Update to 3.0.1

* Mon May 02 2011 Kalev Lember <kalev@smartlink.ee> - 3.0.0-1
- Initial RPM release
